stages:
  - build
  - test
  - deploy

cache:
  paths:
    - vendor/

before_script:
  - sudo cp ci/.envCi .env
  - sudo bash ci/installEnv.sh


build:
  stage: build
  tags:
    - was
  script:
    - echo "build ....."

test:
  stage: test
  tags:
    - was
  script:
    - echo "run test....."
    - vendor/bin/phpunit --testsuite=Unit

deploy:
  stage: deploy
  tags:
    - was
  script:
    - echo "deploy ...."
